RDKit: Atom.h File Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Atom.h File Reference

Defines the Atom class and associated typedefs. More...

`#include <RDGeneral/export.h>`
`#include <limits>`
`#include <RDGeneral/Invariant.h>`
`#include <Query/QueryObjects.h>`
`#include <RDGeneral/types.h>`
`#include <RDGeneral/RDProps.h>`
`#include <GraphMol/details.h>`

Go to the source code of this file.

## Classes
class | RDKit::Atom
| The class for representing atoms. More...

## Namespaces
namespace | RDKit
| Std stuff.

## Functions
RDKIT_GRAPHMOL_EXPORT std::ostream & | operator<< (std::ostream &target, const RDKit::Atom &at)
| allows Atom objects to be dumped to streams
RDKIT_GRAPHMOL_EXPORT void | RDKit::setAtomRLabel (Atom *atm, int rlabel)
RDKIT_GRAPHMOL_EXPORT int | RDKit::getAtomRLabel (const Atom *atm)
RDKIT_GRAPHMOL_EXPORT void | RDKit::setAtomAlias (Atom *atom, const std::string &alias)
RDKIT_GRAPHMOL_EXPORT std::string | RDKit::getAtomAlias (const Atom *atom)
RDKIT_GRAPHMOL_EXPORT void | RDKit::setAtomValue (Atom *atom, const std::string &value)
RDKIT_GRAPHMOL_EXPORT std::string | RDKit::getAtomValue (const Atom *atom)
RDKIT_GRAPHMOL_EXPORT void | RDKit::setSupplementalSmilesLabel (Atom *atom, const std::string &label)
RDKIT_GRAPHMOL_EXPORT std::string | RDKit::getSupplementalSmilesLabel (const Atom *atom)
RDKIT_GRAPHMOL_EXPORT bool | RDKit::isEarlyAtom (int atomicNum)
| returns true if the atom is to the left of C
RDKIT_GRAPHMOL_EXPORT bool | RDKit::isAromaticAtom (const Atom &atom)
| returns true if the atom is aromatic or has an aromatic bond
RDKIT_GRAPHMOL_EXPORT unsigned int | RDKit::numPiElectrons (const Atom &atom)
| returns the number of pi electrons on the atom

## Detailed Description

Defines the Atom class and associated typedefs.

Definition in file Atom.h.

## Function Documentation

## ◆ operator<<()

RDKIT_GRAPHMOL_EXPORT std::ostream & operator<< | ( | std::ostream & | target,
|  | const RDKit::Atom & | at )

allows Atom objects to be dumped to streams

References RDKIT_GRAPHMOL_EXPORT.